Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicTaskPaneUI.ContentPaneBorder

    java.lang.Object
      org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI.ContentPaneBorder

All Implemented Interfaces:
  javax.swing.border.Border, javax.swing.plaf.UIResource

Enclosing class:
  BasicTaskPaneUI

    protected static class BasicTaskPaneUI.ContentPaneBorder

extends java.lang.Object
implements javax.swing.border.Border, javax.swing.plaf.UIResource

The border around the content pane

Constructor Summary
`BasicTaskPaneUI.ContentPaneBorder(java.awt.Color color)`

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTaskPaneUI.ContentPaneBorder

    public BasicTaskPaneUI.ContentPaneBorder(java.awt.Color color)

Method Detail

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.